ur_rna.StructureEditor.services.drawing

## Class DrawHint

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.DrawHint

- Direct Known Subclasses:
    DrawHint.DrawShape, DrawHint.DrawText

      public abstract class DrawHint
      extends java.lang.Object

  Provides a way to specify the drawing of shapes and text outside of the actual rendering process. This allows events like mouse-drags to use the event information to create visual cues (drawing hints) to the user.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DrawHint.DrawShape`
    `static class` | `DrawHint.DrawText`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Color` | `colorFill`
    `java.awt.Color` | `colorLine`
    `static java.awt.Color` | `HintColorDefault`
    `static java.awt.Color` | `HintColorReference`
    `static java.awt.BasicStroke` | `HintLineDefault`
    `static java.awt.BasicStroke` | `HintLineThick`
    `boolean` | `isModelCoords`
    `java.awt.Stroke` | `lineStyle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawHint()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract DrawHint` | `bold()` Do something to emphasize this hint.
    `DrawHint` | `color(java.awt.Color line)`
    `DrawHint` | `color(java.awt.Color line, java.awt.Color fill)`
    `DrawHint` | `color(java.awt.Color line, int fillAlpha)`
    `DrawHint` | `dashed()`
    `void` | `draw(java.awt.Graphics2D g, View2D view, DrawSettings settings)`
    `protected abstract void` | `drawHint(java.awt.Graphics2D g, View2D view, DrawSettings settings)`
    `DrawHint` | `fill(java.awt.Color fill)`
    `DrawHint` | `fillAlpha(int fillAlpha)`
    `DrawHint` | `fromModel()`
    `protected java.awt.Color` | `getDrawColor(java.awt.Color c, DrawSettings s)`
    `DrawHint` | `line(float width)`
    `DrawHint` | `line(float width, float... dash)`
    `DrawHint` | `line(java.awt.Stroke s)`
    `DrawHint` | `noFill()`
    `DrawHint` | `noLine()`
    `static DrawHint` | `shape(java.awt.Shape shape)`
    `static DrawHint` | `text(java.lang.String text, java.awt.geom.Point2D textPos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### colorFill

          public java.awt.Color colorFill

    - #### colorLine

          public java.awt.Color colorLine

    - #### HintColorDefault

          public static final java.awt.Color HintColorDefault

    - #### HintColorReference

          public static final java.awt.Color HintColorReference

    - #### HintLineDefault

          public static java.awt.BasicStroke HintLineDefault

    - #### HintLineThick

          public static java.awt.BasicStroke HintLineThick

    - #### isModelCoords

          public boolean isModelCoords

    - #### lineStyle

          public java.awt.Stroke lineStyle

  - ### Constructor Detail

    - #### DrawHint

          public DrawHint()

  - ### Method Detail

    - #### bold

          public abstract DrawHint bold()

      Do something to emphasize this hint.

    - #### color

          public DrawHint color(java.awt.Color line)

    - #### color

          public DrawHint color(java.awt.Color line,
                                java.awt.Color fill)

    - #### color

          public DrawHint color(java.awt.Color line,
                                int fillAlpha)

    - #### dashed

          public DrawHint dashed()

    - #### draw

          public void draw(java.awt.Graphics2D g,
                           View2D view,
                           DrawSettings settings)

    - #### drawHint

          protected abstract void drawHint(java.awt.Graphics2D g,
                                           View2D view,
                                           DrawSettings settings)

    - #### fill

          public DrawHint fill(java.awt.Color fill)

    - #### fillAlpha

          public DrawHint fillAlpha(int fillAlpha)

    - #### fromModel

          public DrawHint fromModel()

    - #### getDrawColor

          protected java.awt.Color getDrawColor(java.awt.Color c,
                                                DrawSettings s)

    - #### line

          public DrawHint line(float width)

    - #### line

          public DrawHint line(float width,
                               float... dash)

    - #### line

          public DrawHint line(java.awt.Stroke s)

    - #### noFill

          public DrawHint noFill()

    - #### noLine

          public DrawHint noLine()

    - #### shape

          public static DrawHint shape(java.awt.Shape shape)

    - #### text

          public static DrawHint text(java.lang.String text,
                                      java.awt.geom.Point2D textPos)